@import url(root.css);
@import url(fonts.css);
@import url(common.css);

* {
  box-sizing: border-box;
  scroll-behavior: smooth;
  scroll-margin: 100px;
  margin: 0;
  padding: 0;
}

html,
body {
  min-height: 100%;
  font-family: var(--main-font), system-ui, Arial, sans-serif;
  font-weight: 400;
  font-size: var(--main-font-size);
  color: var(--font-color);
  line-height: 1;
}

body {
  overflow: hidden;
}

h1,
h2,
h3 {
  font-family: var(--main-font), system-ui, Arial, sans-serif;
  margin: 0;
}

h1 {
  color: var(--primary-color);
  margin-bottom: 30px;
}

h1 {
  font-size: var(--h1-font-size);
}

h2 {
  font-size: var(--h2-font-size);
  color: #9da696;
}

h3 {
  font-size: var(--h3-font-size);
}

q {
  display: block;
  font-style: italic;
}

p:not(:last-of-type) {
  margin-bottom: 15px;
}

ul {
  list-style-type: none;
}

ul li {
  padding-left: 25px;
  color: #9da696;
  font-size: 1.1em;
}

ul li:not(:last-child) {
  margin-bottom: 15px;
}

header {
  color: var(--primary-color);
  font-size: var(--header-font-size);
  background-color: transparent;
  top: 0px;
  z-index: 98 !important;
  transition: all 0.4s ease-in-out;
}

header.w3-top {
  margin: auto;
  right: 0;
  left: 0;
  width: 97%;
}

header.scrolled .contenido {
  background-color: var(--tertiary--color);
  border-radius: 20px;
}

header.scrolled {
  top: 10px;
}

header nav {
  font-size: 1.25em;
}

header nav a.active {
  color: var(--secondary-color);
}

header nav.flex {
  gap: 20px;
}

header .flecha {
  font-size: 11px;
  margin-left: 6px;
  bottom: 2px;
}

.w3-dropdown-hover:hover>.w3-button:first-child,
.w3-dropdown-click:hover>.w3-button:first-child {
  background-color: inherit;
  color: inherit;
  font-weight: bold;
}

.w3-button:hover {
  background-color: inherit !important;
  color: inherit !important;
}

.w3-dropdown-content {
  background-color: transparent;
  color: inherit;
  border-radius: 20px;
  width: max-content;
}

.w3-modal {
  z-index: 99;
}

.w3-modal .w3-container {
  padding: 30px 16px 16px;
  font-size: 15px;
}

.w3-modal .card {
  padding: 0;
  width: min(80%, 950px);
}

.w3-modal .w3-display-topright {
  right: 5px;
  top: 5px;
  font-size: 2em;
}

.w3-modal .card p {
  margin: 0 !important;
  padding-right: 20px;
}

.w3-modal .card h1 {
  font-size: 2.8em;
}

header.scrolled .w3-dropdown-content {
  background-color: var(--tertiary--color);
}

/* .w3-dropdown-content .w3-bar-item:first-of-type { */
/*   border-radius: 20px; */
/* } */

.w3-bar-block .w3-bar-item {
  padding: 17px; 
  text-align: right;
  text-shadow: 1px 1px 1px wheat;
}

.w3-bar-block .w3-bar-item:last-of-type {
  border-bottom-right-radius: 10px;
  border-bottom-left-radius: 10px;
}

footer {
  font-size: var(--footer-font-size);
}

table {
  border-spacing: 0;
  width: 100%;
}

th,
td {
  padding: 5px 0;
  border-collapse: collapse;
}

hr {
  border: none;
  border-top: #ccc solid 1px;
  margin: 20px auto;
  width: min(1000px, 95%);
  margin-top: 100px;
}

section:not(#home section) {
  padding: 0 10px;
}

section:not(#home section:first-of-type) {
  margin: var(--margin-sections);
}

section:first-of-type:not(#home section:first-of-type) {
  margin-top: 175px;
}

strong {
  font-size: 2em;
  color: #9da696;
}

img {
  max-width: 100%;
}

button,
button[type="button"],
.btn {
  border: none;
  padding: 10px 8px;
  font-size: 1.5em;
  border-radius: 20px;
  text-align: center;
  cursor: pointer;
  display: inline-block;
  color: white;
}

button[type="button"],
.btn {
  background-color: var(--btn-color);
  color: var(--secondary-color);
  font-weight: 600;
  width: min(170px, 100%);
  transition: all 0.3s ease-in-out;
}

button[type="button"]:hover,
.btn:hover {
  background-color: var(--btn-hover-color);
  color: white;
  transition: all 0.3s ease-in-out;
}

a {
  text-decoration: none;
}

a>svg,
span>svg {
  vertical-align: middle;
  height: 100%;
  width: 100%;
}

input:-webkit-autofill {
  background-color: white !important;
  -webkit-box-shadow: 0 0 0 1000px white inset !important;
  box-shadow: 0 0 0 1000px white inset !important;
  color: black !important;
}

input,
textarea {
  display: block;
  padding: 10px;
  width: 100%;
  border: none;
  border-radius: 20px;
  background-color: rgba(255, 255, 255, 0.5);
  font-size: 1.5em;
  color: var(--secondary-color);
}

input::placeholder {
  color: var(--secondary-color);
  opacity: 1;
}

input.invalid,
textarea.invalid {
  border: 2px solid red;
  background-color: #ffe6e6;
}

input:focus {
  /* background-color   : white; */
  outline: none;
  border-radius: 20px;
  /* border       : 2px solid black; */
}

input:focus.invalid {
  outline: none;
  border-radius: 20px;
  border: 2px solid red;
}

label {
  display: block;
}

label:not(:first-of-type) {
  margin: 25px 0;
}

summary {
  list-style: none;
  /* oculta viñeta */
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}

summary a,
summary,
details {
  list-style: none;
}

.slide-toggle>div {
  overflow: hidden;
  transition: height 0.5s;
}

summary::-webkit-details-marker {
  display: none;
  /* oculta marker en navegadores basados en WebKit (Chrome, Safari) */
}

.contenido {
  max-width: 1250px;
  margin: auto;
  padding: 15px;
  position: relative;
}

.loader {
  border-radius: 50%;
  border: 3px solid black;
  border-top-color: transparent;
  animation: spin 1.2s linear infinite;
  height: 50px;
  width: 50px;
  position: absolute;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  margin: auto;
}

.logo {
  width: 200px;
}

.rounded {
  border-radius: 30px;
}

.card {
  border-radius: 30px;
  font-size: 0.6em;
  background-color: var(--tertiary--color);
  padding: 10px 10px 20px;
  width: 215px;
  text-align: justify;
}

.card p {
  margin-top: 15px !important;
  direction: ltr;
  font-size: 13px;
}

#amenidades .card {
  color: var(--primary-color);
}

#amenidades .card.tenis,
#amenidades .card.agave {
  margin-top: 200px;
}

.card img {
  border-radius: 20px;
}

.card .img-wrapper {
  height: 350px;
}

#video {
  aspect-ratio: 16 / 9;
}

#video .img-wrapper {
  height: 100%;
}

#video svg {
  width: 300px;
}

#video .sombra {
  background: linear-gradient(to bottom,
      rgba(255, 255, 255, 1.4) 0%,
      rgba(255, 255, 255, 0.4) 15%,
      rgba(0, 0, 0, 0) 30%,
      rgba(0, 0, 0, 0) 80%,
      rgba(255, 255, 255, 0.2) 95%,
      rgba(255, 255, 255, 0.2) 100%);
  z-index: 1;
}

#img-principal {
  margin: 50px auto 0 !important;
}

#img-principal .img-wrapper {
  height: 500px;
}

#img-principal img {
  border-radius: 30px;
}

#contacto {
  background-image: linear-gradient(to right,
      #858e7a,
      #eae8e0,
      #eae8e0,
      #808c72);
  z-index: 1;
  margin-bottom: 0 !important;
}

.sombra {
  height: 100%;
  width: 100%;
}

#contacto .sombra {
  background: linear-gradient(to right,
      rgba(0, 0, 0, 0.3),
      rgba(0, 0, 0, 0),
      rgba(0, 0, 0, 0),
      rgba(0, 0, 0, 0.3));
  border-radius: 50px;
}

#contacto .contenido {
  padding: 150px 15px;
}

#contacto form {
  padding: 150px 15px 200px;
  border-radius: 50px;
  width: min(100%, 800px);
  margin: auto;
}

#contacto img {
  border-radius: 50px;
  z-index: -2;
}

#pages {
  margin-top: 50px;
}

#pages .active {
  color: #990000;
}

#collapsing-menu {
  background-color: var(--secondary-color);
  padding: 15px;
  padding-top: 130px;
  user-select: none;
}

#collapsing-menu a,
#collapsing-menu summary {
  display: block;
  padding: 10px;
}

#collapsing-menu a {
  font-size: 1.5em;
}

#collapsing-menu a:first-of-type {
  padding-top: 0;
}

#collapsing-menu a:last-of-type {
  padding-bottom: 0;
}

#collapsing-menu #detail-container {
  background-color: #5e615d;
  color: var(--primary-color);
}

#mazamitla {
  margin-top: 50px !important;
}

#mazamitla .rounded,
#mazamitla .c-white {
  background-color: var(--primary-color);
  width: 100%;
}

#mazamitla .absolute.icon {
  left: 9px;
  padding: 0;
  width: 15px;
}

#mazamitla .img-wrapper>img {
  object-position: left bottom;
  border-radius: 30px;
  width: 100%;
  height: 103%;
  bottom: 15px;
  left: 28px;
}

#mazamitla .c-white {
  padding: 310px 0 150px 60px;
  width: 100%;
  border-radius: 30px;
  text-align: justify;
}

#amenidades {
  background-color: var(--secondary-color);
  margin-bottom: 0 !important;
}

#amenidades p {
  max-width: 400px;
  margin: auto;
}

#amenidades .flex {
  align-items: start;
  gap: 15px;
  margin-top: 100px;
}

#ubicacion.grid {
  grid-template-columns: 300px 1fr;
}

#ubicacion .swiper {
  height: 500px;
}

#ubicacion ul {
  margin-top: 20px;
}

#ubicacion .swiper {
  overflow: visible;
}

#ubicacion .swiper-slide {
  width: 95%;
}

#ubicacion .white-box {
  position: absolute;
  width: 2750px;
  height: 108%;
  left: -2422px;
  z-index: -1;
  background-color: white;
}

.animate::after {
  animation: click 0.2s linear forwards;
}

#plan-maestro p:not(.flotante p),
#ubicacion p {
  color: #c2b59b;
}

#plan-maestro [data-animation="show-hide"] {
  right: 0;
  bottom: -30px;
  font-size: 12px;
  color: #999;
  animation-delay: 0.5s;
}

#ubicacion strong {
  font-size: 1.5em;
  display: block;
  margin-bottom: 50px;
}

#ubicacion h1 {
  margin-bottom: -5px;
}

#plan-maestro strong {
  font-size: 1.5em;
}

#plan-maestro img {
  transition: all 0.3s ease-in-out;
}

#plan-maestro img:hover {
  transform: scale(1.07);
}

#plan-maestro .flotante {
  padding: 25px 15px;
  background-color: var(--secondary-color);
  width: 260px;
  bottom: 0;
  border-radius: 10px;
}

#plan-maestro .flotante strong {
  top: -24px;
  font-size: 2em;
  width: max-content;
  left: 7px;
  color: var(--secondary-color);
}

#materiales {
  margin-top: 0 !important;
}

#materiales .contenido,
#amenidades .contenido {
  padding-bottom: 100px;
}

#materiales h1,
#amenidades h1 {
  padding-top: 100px;
}

#materiales h2 {
  font-size: 20px;
  margin-top: 20px;
  padding-left: 15px;
}

#materiales .card {
  padding-bottom: 115px;
}

#materiales .card p {
  font-size: 15px;
  padding-left: 15px;
}

#chalets h1 {
  color: #444a3d;
}

#chalets p:not(#chalets .card p) {
  text-align: justify;
  color: var(--secondary-color);
}

#chalets h2 {
  padding-left: 96px;
  margin: 100px 0 15px 0;
}

#chalets h2:nth-of-type(2) {
  padding-left: 0;
  padding-right: 96px;
}

#chalets .card {
  background-color: var(--primary-color);
  padding: 20px 15px;
  font-size: 15px;
}

#chalets .g-3 {
  gap: 10px !important;
  grid-template-columns: repeat(3, 1fr) !important;
  height: 100%;
}

#chalets .g-3 .img-wrapper:nth-child(1),
#chalets .g-3 .img-wrapper:nth-child(3) {
  margin-top: -20px;
}

#chalets .g-3 .img-wrapper:nth-child(2) {
  margin-bottom: -20px;
}

.swiper {
  user-select: none;
}

.swiper-materiales {
  height: 500px;
  padding: 0 25%;
  margin: 100px 0;
}

.swiper-alba,
.swiper-cielo {
  padding-left: 100px;
  height: 300px;
}

.swiper-bosque {
  height: 300px;
  right: 0;
  padding-right: 100px;
}

#chalets .swiper-alba .card:first-of-type,
#chalets .swiper-cielo .card:first-of-type,
#chalets .swiper-bosque .card:first-of-type {
  margin-right: 70px !important;
}

#chalets .swiper-bosque .card:first-of-type {
  margin-right: 0 !important;
  margin-left: 70px !important;
}

.swiper-alba .swiper-slide,
.swiper-bosque .swiper-slide,
.swiper-cielo .swiper-slide {
  width: 500px;
}

.swiper-button-prev:after,
.swiper-rtl .swiper-button-next:after,
.swiper-button-next:after,
.swiper-rtl .swiper-button-prev:after {
  content: "▼";
  font-size: 0.7em;
  color: var(--secondary-color);
  bottom: 18px;
  position: absolute;
}

.swiper-button-prev,
.swiper-rtl .swiper-button-next,
.swiper-button-next,
.swiper-rtl .swiper-button-prev {
  background-color: #ebe9e2;
  border-radius: 50%;
  height: 50px;
  width: 50px;
}

#materiales .swiper-button-prev,
#materiales .swiper-rtl .swiper-button-next,
#materiales .swiper-button-next,
#materiales .swiper-rtl .swiper-button-prev {
  background-color: rgba(0, 0, 0, 0.4);
}

#materiales .swiper-button-prev,
#materiales .swiper-button-next {
  background-color: rgba(0, 0, 0, 0.58);
}

#materiales .swiper-button-prev:after,
#materiales .swiper-rtl .swiper-button-next:after,
#materiales .swiper-button-next:after,
#materiales .swiper-rtl .swiper-button-prev:after {
  color: var(--primary-color);
}

.swiper-button-prev {
  transform: rotate(90deg);
}

.swiper-bosque .swiper-button-prev,
.swiper-button-next {
  transform: rotate(-90deg);
}

#ubicacion .swiper-button-next {
  transform: unset;
}

#chalets .swiper .principal {
  background-color: #5e615d;
  padding: 20px 30px;
  width: 420px;
}

#ubicacion .swiper-button-next::after,
#ubicacion .swiper-button-prev::after {
  content: "";
  background-image: url(../assets/btn-vermas.svg);
  background-size: contain;
  background-repeat: no-repeat;
  width: 93px;
  height: 138px;
  /* transform: rotate(90deg); */
}

#ubicacion .swiper-button-next,
#ubicacion .swiper-button-prev {
  height: 0;
  width: 0;
  top: 53%;
  right: 8px;
  background-color: var(--primary-color);
}

.linea-btn {
  background-color: white;
  width: 15px;
  right: 3.2%;
  top: 0;
  z-index: 9;
  height: 105%;
}

div:where(.swal2-container) button:where(.swal2-styled):not([disabled]) {
  width: 170px;
}

#mazamitla .swiper-slide:not(.swiper-slide-active) img {
  filter: grayscale(100%) sepia(100%) hue-rotate(40deg) saturate(45%) contrast(111%)
}

@media only screen and (min-width: 601px) {
  #plan-maestro .grid {
    grid-template-columns: 400px 1fr;
  }

  #plan-maestro .mapa {
    margin-top: 125px;
  }

  #plan-maestro img {
    right: 5%;
    max-width: 105%;
  }

  #chalets .grid.principal {
    grid-template-columns: 300px 1fr;
    gap: 80px;
  }

  #chalet-bosque {
    text-align: right;
  }

  #ubicacion .swiper-button-next:after {
    bottom: unset !important;
  }

  .w3-modal .card .img-wrapper {
    height: 450px;
  }

  #mazamitla q {
    display: block;
    width: 350px;
  }

  #mazamitla p {
    width: 360px;
  }
}

@media only screen and (min-width: 875px) {

  /* #ubicacion .swiper-slide:last-of-type { */
  /*   padding-right: 40px; */
  /* } */
  #amenidades .card.tenis,
  #amenidades .card.agave {
    animation-delay: 1.2s;
  }

  #chalets .grid.principal {
    gap: 150px;
  }
}

@media only screen and ((min-width: 601px) and (max-width: 1142px)) {
  #ubicacion .swiper {
    /* overflow        : hidden; */
    /* width        : 100%; */
    padding-right: 50px;
    margin-right: -15px;
  }

  #ubicacion .swiper-button-next {
    right: 8px;
  }

  .linea-btn {
    right: 9.5%;
  }
}

@media only screen and ((min-width: 601px) and (max-width: 1000px)) {
  .linea-btn {
    right: 10.5%;
  }
}

@media only screen and ((min-width: 601px) and (max-width: 890px)) {
  .linea-btn {
    right: 12%;
  }
}

@media only screen and ((min-width: 601px) and (max-width: 760px)) {
  .linea-btn {
    right: 13%;
  }
}

@media only screen and ((min-width: 601px) and (max-width: 690px)) {
  .linea-btn {
    right: 14%;
  }
}

@media only screen and ((min-width: 600px) and (max-width: 875px)) {
  #amenidades .flex {
    flex-wrap: wrap;
  }

  #amenidades .card.agave {
    margin-top: 0;
  }

  #plan-maestro .grid {
    grid-template-columns: repeat(2, 1fr);
  }

  #plan-maestro .mapa {
    margin-bottom: 170px;
  }

  #plan-maestro img {
    right: 10%;
    max-width: 110%;
  }

  #mazamitla .c-white {
    padding: 300px 0 40px 10px;
    width: 100%;
  }

  #chalets .grid {
    gap: 70px;
  }
}

@media only screen and (max-width: 660px) {
  #amenidades .flex {
    flex-wrap: wrap;
  }

  #amenidades .card {
    width: 47%;
  }

  #amenidades .card.agave,
  #amenidades .card.tenis {
    margin-top: 0;
  }

  .swiper-materiales {
    padding: 0 15%;
  }
}


@media only screen and (max-width: 600px) {
  .logo {
    width: 150px;
  }
  h1 {
    font-size: 3em;
  }

  h2 {
    font-size: 2.7em;
  }

  #video .sombra {
    background: linear-gradient(to bottom,
        rgba(255, 255, 255, 1.4) 0%,
        rgba(255, 255, 255, 0.4) 30%,
        rgba(0, 0, 0, 0) 50%,
        rgba(0, 0, 0, 0) 80%,
        rgba(255, 255, 255, 0.2) 95%,
        rgba(255, 255, 255, 0.2) 100%);
    z-index: 1;
  }

  #plan-maestro .flotante {
    bottom: -90px;
    right: 15px;
  }

  #plan-maestro .grid {
    gap: 20px;
  }

  #plan-maestro .mapa {
    padding-bottom: 50px;
  }

  #plan-maestro [data-animation="show-hide"] {
    bottom: 30px !important;
  }

  #mazamitla .c-white {
    padding: 30px 15px 250px;
    z-index: 1;
  }

  #mazamitla .img-wrapper>img {
    object-fit: contain;
    z-index: 1;
  }

  #ubicacion .img-wrapper>img {
    object-fit: cover;
  }

  section:not(#home section:first-of-type) {
    margin: 80px 0;
  }

  section#plan-maestro {
    margin-bottom: 150px !important;
  }

  .swiper-alba,
  .swiper-cielo {
    padding-left: 55px;
  }

  .swiper-bosque {
    padding-right: 40px;
  }

  #chalets h2,
  #chalets h2:nth-of-type(2) {
    padding-left: 0;
    padding-right: 0;
    text-align: center !important;
  }

  #chalets .card {
    font-size: 10px;
    padding: 10px !important;
    width: 230px !important;
  }

  #chalets .swiper-alba .card:first-of-type,
  #chalets .swiper-bosque .card:first-of-type {
    padding: 10px !important;
  }

  .swiper-alba,
  .swiper-cielo,
  .swiper-bosque {
    height: 240px;
  }

  #amenidades .flex {
    align-items: stretch;
  }

  #amenidades .flex.space-between {
    justify-content: center;
  }

  #amenidades .card .img-wrapper {
    height: 200px;
  }

  #chalets .swiper-alba .card:first-of-type,
  #chalets .swiper-cielo .card:first-of-type,
  #chalets .swiper-bosque .card:first-of-type {
    margin-right: 15 !important;
  }

  #chalets .swiper-bosque .card:first-of-type {
    margin-left: 15px !important;
  }

  #chalets .swiper-alba .card:first-of-type,
  #chalets .swiper-cielo .card:first-of-type,
  #chalets .swiper-bosque .card:first-of-type {
    margin-right: 15px !important;
  }

  #chalets .grid {
    gap: 80px;
  }

  #chalets .fondo {
    margin-top: 50px;
    height: 500px;
    position: relative;
  }

  #ubicacion div:first-child {
    padding: 15px;
  }

  #ubicacion.grid {
    gap: 30px;
  }

  #ubicacion .swiper {
    height: 250px;
  }

  #ubicacion .swiper,
  #ubicacion .swiper-wrapper,
  #ubicacion .swiper-slide {
    padding: 0 !important;
  }

  #ubicacion .swiper {
    padding: 0 15px !important;
    /* padding-right: 40px !important; */
  }

  #video .logo {
    width: 200px;
  }

  #ubicacion .swiper-button-next::after {
    width: 73px;
    height: 105px;
    bottom: unset;
  }

  #ubicacion .swiper-button-next {
    left: -7px;
    top: 50%;
  }

  .linea-btn {
    right: 4.895%;
  }

  #chalets .swiper-button-prev,
  #chalets .swiper-rtl .swiper-button-next,
  #chalets .swiper-button-next,
  #chalets .swiper-rtl .swiper-button-prev {
    height: 35px;
    width: 35px;
  }

  #chalets .swiper-button-prev:after,
  #chalets .swiper-rtl .swiper-button-next:after,
  #chalets .swiper-button-next:after,
  #chalets .swiper-rtl .swiper-button-prev:after {
    font-size: 0.5em;
    bottom: 13px;
  }

  .w3-modal {
    padding-bottom: 50px;
  }

  .w3-modal .grid {
    gap: 15px;
  }

  .w3-modal .card p {
    padding-right: 0;
  }

  .w3-modal .info {
    padding: 15px;
  }

  .w3-modal .w3-display-topright {
    right: 0px;
    top: -3px;
    font-size: 2em;
  }

  #img-principal .img-wrapper {
    height: 350px;
  }

  #materiales .swiper-button-next {
    right: 0;
  }

  #materiales .swiper-button-prev {
    left: 0;
  }

  #materiales h2 {
    padding-left: 0;
  }

  #materiales .card p {
    margin-top: 5px !important;
    padding-left: 0;
  }

  .swiper-materiales {
    padding: 0 9%;
  }

  #materiales .swiper-button-prev,
  #materiales .swiper-button-next {
    height: 55px;
    width: 55px;
  }

  #materiales .swiper-button-next::after,
  #materiales .swiper-button-prev::after {
    bottom: 20px;
  }


  .card p {
    font-size: 9px;
  }
}

@keyframes show {
  from {
    opacity: 0;
    transform: translateY(20px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes hide {
  from {
    opacity: 1;
  }

  to {
    opacity: 0;
  }
}

@keyframes click {
 0% {
    transform: scale(1);
  }

  50% {
    transform: scale(0.9);
  }

  100% {
    transform: scale(1);
  }
}

@keyframes show-hide {
  0% {
    opacity: 0;
  }

  20% {
    opacity: 1;
  }

  80% {
    opacity: 1;
  }

  100% {
    opacity: 0;
  }
}

@media only screen and (min-width: 1250px) {

  header.scrolled .contenido,
  header .contenido {
    max-width: 1700px;
  }
}

[data-animation="show"],
[data-animation="show-hide"] {
  opacity: 0;
}

[data-animation="show"] {
  transform: translateY(20px);
}

.show {
  animation: show 0.6s ease-out forwards;
}

.hide {
  animation: hide 0.6s ease-out forwards;
}

.show-hide {
  animation: show-hide 3s ease-in-out forwards;
}

@keyframes spin {
  to {
    transform: rotate(360deg);
  }
}
